Type to search.

Update a Fleet Server host

Base URL
https://{kibana_url}
  • PUT /api/fleet/fleet_server_hosts/{itemId}
Auth

Update a Fleet Server host by ID.

Required privileges

Privileges fleet-settings-all

Path parameters

itemId string required

The ID of the Fleet Server host

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

allow_edit string[] · max items: 100
host_urls string[] · min items: 1 · max items: 10
is_default boolean
is_internal boolean
name string
proxy_id string · default: null nullable

Responses

Successful response

application/json
item object required
allow_edit string[] · max items: 100
host_urls string[] · min items: 1 · max items: 10 required
id string required
is_default boolean · default: false
is_internal boolean
is_preconfigured boolean · default: false
name string required
proxy_id string nullable
404

Not Found

application/json